Bug 100333 - Shortcut CRTL+G in Spanish to Save has Find next assigned in Calc and Writer
Summary: Shortcut CRTL+G in Spanish to Save has Find next assigned in Calc and Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta1
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks: Shortcuts-Locale
  Show dependency treegraph
 
Reported: 2016-06-11 17:18 UTC by Robert Gonzalez MX
Modified: 2017-04-18 14:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
CTRL+G error assignment (132.17 KB, image/png)
2016-06-11 17:19 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2016-06-11 17:18:24 UTC
I had been using and testing LO with the English UI, but when I changed to Spanish, because a practice of some online courses, found that in Calc, the shortcut CTRL+G,  is assigned to Find Next (Repetir búsqueda), but also in the Global Shortcuts of the Spanish UI is assigned to File-Save (Archivo Guardar), so when traying to save the file with CTRL+G, no saving is performed.

As a workaround, this assignment can be eliminated in Tools - Customize, Keyboard 

Steps to reproduce or review:
Set LibreOffice to the Spanish UI
Open a Calc file
Go to Tools Customize
Go to Keyboard tab
In the upper right corner of the dialog select LibreOffice to view the Global Shortcuts
Seek for the shortcut CTRL + G and see that's assigned to "Guardar" (Save)
Now, in the upper right corner of the dialog select Calc to view the Calc's defined shortcuts
Seek for the shortcut CTRL+G and see that's assigned to "Repetir búsqueda" (Find Next)

I am attaching a screenshot of that.

Same problem in Writer
 
In Impress and Draw the Shortcut CTRL+G is assigned to File Save in both the Global Shortcuts and in the application shortcuts.

In base CTRL+G is assigned only in the Global Shortcuts


Tested in LO 5.2 beta1 and 5.2 beta2 on Windows 10 and OpenSUSE Leap
Comment 1 Robert Gonzalez MX 2016-06-11 17:19:12 UTC
Created attachment 125607 [details]
CTRL+G error assignment
Comment 2 Aron Budea 2016-06-12 06:52:22 UTC
Checked and confirmed with Spanish UI.

I wonder what happens in similar cases. Ctrl+G could be a common shortcut for saving in Spanish, but then a new shortcut has to be figured out for Find Next.
Comment 3 Yousuf Philips (jay) 2016-06-12 11:40:47 UTC
Patch is in https://gerrit.libreoffice.org/26194
Comment 4 Commit Notification 2016-06-12 19:33:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b37ea1648ef6782bebe734b68fb7df6aa490cc0

tdf#100333 Ctrl + G for Save in Spanish

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-21 13:56:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=204a2800c8ba3ed35f81ab295e43d9a3e79c7925&h=libreoffice-5-2

tdf#100333 Ctrl + G for Save in Spanish

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2016-09-15 20:52:33 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards